| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSuperLightmap Struct Reference
[3D]

A super light map. More...

`#include <ivideo/txtmgr.h>`

Inheritance diagram for iSuperLightmap:

[legend]
List of all members.

## Public Member Functions
virtual csPtr< iImage > | Dump ()=0
| Retrieve an image of the whole SLM (for debugging purposes).
virtual csPtr< iRendererLightmap > | RegisterLightmap (int left, int top, int width, int height)=0
| Add a lightmap to this SLM.

## Detailed Description

A super light map.

Definition at line 135 of file txtmgr.h.

## Member Function Documentation

virtual csPtr<iImage> iSuperLightmap::Dump | ( |  | ) | `[pure virtual]`

Retrieve an image of the whole SLM (for debugging purposes).

virtual csPtr<iRendererLightmap> iSuperLightmap::RegisterLightmap | ( | int | left,
|  | int | top,
|  | int | width,
|  | int | height |
| ) |  |  | `[pure virtual]`

Add a lightmap to this SLM.

The documentation for this struct was generated from the following file:

- ivideo/txtmgr.h